Dependencies:
- 'on': ['Linux', 'FreeBSD', 'Windows', 'macOS']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/karchive' : '@latest-kf6'
    'frameworks/kconfig' : '@latest-kf6'
    'frameworks/kconfigwidgets' : '@latest-kf6'
    'frameworks/kcoreaddons' : '@latest-kf6'
    'frameworks/kdbusaddons' : '@latest-kf6'
    'frameworks/kglobalaccel' : '@latest-kf6'
    'frameworks/kguiaddons' : '@latest-kf6'
    'frameworks/ki18n' : '@latest-kf6'
    'frameworks/kiconthemes' : '@latest-kf6'
    'frameworks/kio' : '@latest-kf6'
    'frameworks/knotifications' : '@latest-kf6'
    'frameworks/kpackage' : '@latest-kf6'
    # kparts for examples
    'frameworks/kparts' : '@latest-kf6'
    'frameworks/kwidgetsaddons' : '@latest-kf6'
    'frameworks/kwindowsystem' : '@latest-kf6'
    'frameworks/kirigami' : '@latest-kf6'
    'frameworks/kcmutils' : '@latest-kf6'
    'frameworks/ksvg' : '@latest-kf6'
    'plasma/plasma-activities' : '@same'

Options:
  cppcheck-ignore-files: ['templates/']
  require-passing-tests-on: [ '@all' ]
  cmake-options: -DBUILD_EXAMPLES=ON
